ICellControl
Keywords: com.fg.ftreenodes.ICellControl interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fg.ftreenodes
Interface ICellControl

All Known Implementing Classes:
  FCheckBox, FChoice, FComboBox, FDate, FDialogInvoker, FFileDialog, FTextAreaDialog, FTextField, FTextLabel

public interface ICellControl

ICellControl iterface has to be implemented by any "extra-control" object, which is to be instantiated/found with value, returned by `FAbstractToggleNode.getExtraClassOrId()` method. "Extra-control" object is a component or a dialog which is intended for displaying/editing of the tree-node values.

Version:
  2.0
Author:
  Felix Golubov
See Also:
  `FAbstractToggleNode`, `FToggleMutableNode`, `FTree`

Method Summary
`java.lang.Object` | `getData()` Method returns a data value which was displayed/edited by the ICellControl object.
`void` | `initCellControl(boolean isEditor)` Method is called only once after an object, which implements ICellControl interface was instantiated.
`void` | `updateCellControl(boolean isEditor, boolean enabled, boolean editable, java.lang.Object data, Params params)` Method is called each time when an object is about to be painted on the screen (used as a renderer) or shown as a field editor.

Method Detail

### initCellControl

    public void initCellControl(boolean isEditor)

  Method is called only once after an object, which implements ICellControl interface was instantiated. The method implementation can make some settings depending on the object usage (field editor or renderer) and add event listeners when object is a field editor.

  Parameters:
    `isEditor` - equals `true` when an object is used as a field editor and `false` when it is used as a field renderer.

### updateCellControl

    public void updateCellControl(boolean isEditor,
                                  boolean enabled,
                                  boolean editable,
                                  java.lang.Object data,
                                  Params params)

  Method is called each time when an object is about to be painted on the screen (used as a renderer) or shown as a field editor.

  Parameters:
    `isEditor` - equals `true` when an object is used as a field editor and `false` when it is used as a field renderer.
    `enabled` - equals `true` when a field is enabled.
    `editable` - equals `true` when a field is editable.
    `data` - value to be displayed or edited.
    `params` - Params object which contains Map and/or List of additional parameters.

### getData

    public java.lang.Object getData()

  Method returns a data value which was displayed/edited by the ICellControl object.

  Returns:
    a data value which was displayed/edited by the ICellControl object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD